/*********************************************************************
  BoundsOnA.c

  Read the file "orderedBigQS" and remove all 5-tuples 
  a[0],a[1],a[2], a[3],a[4] where
  a[0] > bd[0] or a[1] > bd[1] or a[2] > bd[2]
  or a[3] > bd[3] or a[4] > bd[4]

  Write results to "OBbded100"
**********************************************************************/

#include<stdio.h>
#include<stdlib.h>

main()
{
   int a[5];
   int bd[5];

   int i,j,k,l;
   int keep, end;
   int d, try;

   FILE *fp;
   FILE *nfp;

  
   fp = fopen("orderedBigQS", "r");
   nfp = fopen("OBbded100","w");

   bd[0] = 100;
   bd[1] = 100;
   bd[2] = 100;
   bd[3] = 100;
   bd[4] = 100;

   end = fscanf( fp, "%d %d %d %d %d", &a[0],&a[1],&a[2],&a[3],&a[4]);
  
   while(end > 0){

     keep = 1;  /* assume we keep the current 5-tuple a[0]..a[4] */

     for(i=0; i<5; i++)
       if(a[i] > bd[i])
         keep = 0;

     if(keep == 1)
       fprintf(nfp,"%5d %5d %5d %5d %5d\n",a[0],a[1],a[2],a[3],a[4]);

     
     end = fscanf( fp, "%d %d %d %d %d", &a[0],&a[1],&a[2],&a[3],&a[4]);

   } /* end of while loop to read orderedBigQS */

   fclose(fp);
   fclose(nfp);

} /* end of main */






